org.apache.fop.afp

## Class AFPLineDataInfo

- java.lang.Object
- - org.apache.fop.afp.AFPLineDataInfo

-     public class AFPLineDataInfo
      extends java.lang.Object

  Line data information

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPLineDataInfo()` Default constructor
    `AFPLineDataInfo(AFPLineDataInfo template)` Copy constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getColor()` Returns line color
    `int` | `getRotation()` Returns line rotation
    `int` | `getThickness()` Returns the line thickness
    `int` | `getX1()` Returns the X1 coordinate
    `int` | `getX2()` Returns the X2 coordinate
    `int` | `getY1()` Returns the Y1 coordinate
    `int` | `getY2()` Returns the Y2 coordinate
    `void` | `setColor(java.awt.Color color)` Sets the line color
    `void` | `setRotation(int rotation)` Sets the line rotation
    `void` | `setThickness(int thickness)` Sets the line thickness
    `void` | `setX1(int x1)` Sets the X1 coordinate
    `void` | `setX2(int x2)` Sets the X2 coordinate
    `void` | `setY1(int y1)` Sets the Y1 coordinate
    `void` | `setY2(int y2)` Sets the Y2 coordinate
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AFPLineDataInfo

          public AFPLineDataInfo()

      Default constructor

    - #### AFPLineDataInfo

          public AFPLineDataInfo(AFPLineDataInfo template)

      Copy constructor.
      Parameters:
        `template` - the object to copy

  - ### Method Detail

    - #### getX1

          public int getX1()

      Returns the X1 coordinate
      Returns:
        the X1 coordinate

    - #### setX1

          public void setX1(int x1)

      Sets the X1 coordinate
      Parameters:
        `x1` - the X1 coordinate

    - #### getY1

          public int getY1()

      Returns the Y1 coordinate
      Returns:
        the Y1 coordinate

    - #### setY1

          public void setY1(int y1)

      Sets the Y1 coordinate
      Parameters:
        `y1` - the Y1 coordinate

    - #### getX2

          public int getX2()

      Returns the X2 coordinate
      Returns:
        the X2 coordinate

    - #### setX2

          public void setX2(int x2)

      Sets the X2 coordinate
      Parameters:
        `x2` - the X2 coordinate

    - #### getY2

          public int getY2()

      Returns the Y2 coordinate
      Returns:
        the Y2 coordinate

    - #### setY2

          public void setY2(int y2)

      Sets the Y2 coordinate
      Parameters:
        `y2` - the Y2 coordinate

    - #### getThickness

          public int getThickness()

      Returns the line thickness
      Returns:
        the line thickness

    - #### setThickness

          public void setThickness(int thickness)

      Sets the line thickness
      Parameters:
        `thickness` - the line thickness

    - #### getColor

          public java.awt.Color getColor()

      Returns line color
      Returns:
        the line color

    - #### setColor

          public void setColor(java.awt.Color color)

      Sets the line color
      Parameters:
        `color` - the line color

    - #### getRotation

          public int getRotation()

      Returns line rotation
      Returns:
        the line rotation

    - #### setRotation

          public void setRotation(int rotation)

      Sets the line rotation
      Parameters:
        `rotation` - the line rotation

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.